ab9f58f6227b81df9c18749cfc51f231c93a686d
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26 #
27
28 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
29 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
30 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
31 #
32 # This file must be used under the terms of the CeCILL.
33 # This source file is licensed as described in the file COPYING, which
34 # you should have received as part of this distribution.  The terms
35 # are also available at
36 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
37 #
38
39 ##########
40 ### Makefile included stuff
41 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
42 ##########
43
44
45 VPATH = @srcdir@
46 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
47 am__make_running_with_option = \
48   case $${target_option-} in \
49       ?) ;; \
50       *) echo "am__make_running_with_option: internal error: invalid" \
51               "target option '$${target_option-}' specified" >&2; \
52          exit 1;; \
53   esac; \
54   has_opt=no; \
55   sane_makeflags=$$MAKEFLAGS; \
56   if $(am__is_gnu_make); then \
57     sane_makeflags=$$MFLAGS; \
58   else \
59     case $$MAKEFLAGS in \
60       *\\[\ \   ]*) \
61         bs=\\; \
62         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
64     esac; \
65   fi; \
66   skip_next=no; \
67   strip_trailopt () \
68   { \
69     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70   }; \
71   for flg in $$sane_makeflags; do \
72     test $$skip_next = yes && { skip_next=no; continue; }; \
73     case $$flg in \
74       *=*|--*) continue;; \
75         -*I) strip_trailopt 'I'; skip_next=yes;; \
76       -*I?*) strip_trailopt 'I';; \
77         -*O) strip_trailopt 'O'; skip_next=yes;; \
78       -*O?*) strip_trailopt 'O';; \
79         -*l) strip_trailopt 'l'; skip_next=yes;; \
80       -*l?*) strip_trailopt 'l';; \
81       -[dEDm]) skip_next=yes;; \
82       -[JT]) skip_next=yes;; \
83     esac; \
84     case $$flg in \
85       *$$target_option*) has_opt=yes; break;; \
86     esac; \
87   done; \
88   test $$has_opt = yes
89 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91 pkgdatadir = $(datadir)/@PACKAGE@
92 pkgincludedir = $(includedir)/@PACKAGE@
93 pkglibdir = $(libdir)/@PACKAGE@
94 pkglibexecdir = $(libexecdir)/@PACKAGE@
95 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96 install_sh_DATA = $(install_sh) -c -m 644
97 install_sh_PROGRAM = $(install_sh) -c
98 install_sh_SCRIPT = $(install_sh) -c
99 INSTALL_HEADER = $(INSTALL_DATA)
100 transform = $(program_transform_name)
101 NORMAL_INSTALL = :
102 PRE_INSTALL = :
103 POST_INSTALL = :
104 NORMAL_UNINSTALL = :
105 PRE_UNINSTALL = :
106 POST_UNINSTALL = :
107 build_triplet = @build@
108 host_triplet = @host@
109 @GIWS_TRUE@am__append_1 = giws
110 @SWIG_TRUE@am__append_2 = swig
111 @GUI_TRUE@am__append_3 = libsciui_data.la
112 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
113         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
114         $(top_srcdir)/config/depcomp
115 @NEED_JAVA_TRUE@am__append_4 = java
116 subdir = modules/ui_data
117 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
118 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
119         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
120         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
121         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
122         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
123         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
124         $(top_srcdir)/m4/intel_compiler.m4 \
125         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
126         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
127         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
128         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
129         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
130         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
131         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
132         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
133         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
134         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
135         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
136 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
137         $(ACLOCAL_M4)
138 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
139 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
140 CONFIG_CLEAN_FILES =
141 CONFIG_CLEAN_VPATH_FILES =
142 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
143 am__vpath_adj = case $$p in \
144     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
145     *) f=$$p;; \
146   esac;
147 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
148 am__install_max = 40
149 am__nobase_strip_setup = \
150   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
151 am__nobase_strip = \
152   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
153 am__nobase_list = $(am__nobase_strip_setup); \
154   for p in $$list; do echo "$$p $$p"; done | \
155   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
156   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
157     if (++n[$$2] == $(am__install_max)) \
158       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
159     END { for (dir in files) print dir, files[dir] }'
160 am__base_list = \
161   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
162   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
163 am__uninstall_files_from_dir = { \
164   test -z "$$files" \
165     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
166     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
167          $(am__cd) "$$dir" && rm -f $$files; }; \
168   }
169 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
170         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
171         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
172         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
173 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
174 libsciui_data_algo_la_LIBADD =
175 am__dirstamp = $(am__leading_dot)dirstamp
176 am__objects_1 = src/jni/libsciui_data_algo_la-ui_data_wrap.lo \
177         src/c/libsciui_data_algo_la-PutScilabVariable.lo
178 am__objects_2 = src/jni/libsciui_data_algo_la-BrowseVar.lo \
179         src/jni/libsciui_data_algo_la-EditVar.lo \
180         src/jni/libsciui_data_algo_la-FileBrowser.lo
181 am__objects_3 = src/cpp/libsciui_data_algo_la-BrowseVarManager.lo \
182         src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo
183 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
184         $(am__objects_3)
185 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
186 AM_V_lt = $(am__v_lt_@AM_V@)
187 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
188 am__v_lt_0 = --silent
189 am__v_lt_1 = 
190 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
191 libsciui_data_disable_la_LIBADD =
192 am__objects_4 = src/noui_data/libsciui_data_disable_la-noui_data.lo
193 am__objects_5 =  \
194         src/noui_data/libsciui_data_disable_la-noui_data_gw.lo
195 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4) \
196         $(am__objects_5)
197 libsciui_data_disable_la_OBJECTS =  \
198         $(am_libsciui_data_disable_la_OBJECTS)
199 am__DEPENDENCIES_1 =
200 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la \
201         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
202 am__objects_6 = sci_gateway/cpp/libsciui_data_la-sci_editvar.lo \
203         sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo \
204         sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo \
205         sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo \
206         sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo \
207         sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo
208 am_libsciui_data_la_OBJECTS = $(am__objects_6)
209 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
210 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
211         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
212         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
213         $(LDFLAGS) -o $@
214 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
215 AM_V_P = $(am__v_P_@AM_V@)
216 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
217 am__v_P_0 = false
218 am__v_P_1 = :
219 AM_V_GEN = $(am__v_GEN_@AM_V@)
220 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
221 am__v_GEN_0 = @echo "  GEN     " $@;
222 am__v_GEN_1 = 
223 AM_V_at = $(am__v_at_@AM_V@)
224 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
225 am__v_at_0 = @
226 am__v_at_1 = 
227 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
228 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
229 am__depfiles_maybe = depfiles
230 am__mv = mv -f
231 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
232         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
233 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
234         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
235         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
236         $(AM_CFLAGS) $(CFLAGS)
237 AM_V_CC = $(am__v_CC_@AM_V@)
238 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
239 am__v_CC_0 = @echo "  CC      " $@;
240 am__v_CC_1 = 
241 CCLD = $(CC)
242 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
243         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
244         $(AM_LDFLAGS) $(LDFLAGS) -o $@
245 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
246 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
247 am__v_CCLD_0 = @echo "  CCLD    " $@;
248 am__v_CCLD_1 = 
249 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
250         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
251 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
252         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
253         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
254         $(AM_CXXFLAGS) $(CXXFLAGS)
255 AM_V_CXX = $(am__v_CXX_@AM_V@)
256 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
257 am__v_CXX_0 = @echo "  CXX     " $@;
258 am__v_CXX_1 = 
259 CXXLD = $(CXX)
260 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
261         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
262         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
263 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
264 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
265 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
266 am__v_CXXLD_1 = 
267 SOURCES = $(libsciui_data_algo_la_SOURCES) \
268         $(libsciui_data_disable_la_SOURCES) \
269         $(libsciui_data_la_SOURCES)
270 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
271         $(libsciui_data_disable_la_SOURCES) \
272         $(libsciui_data_la_SOURCES)
273 am__can_run_installinfo = \
274   case $$AM_UPDATE_INFO_DIR in \
275     n|no|NO) false;; \
276     *) (install-info --version) >/dev/null 2>&1;; \
277   esac
278 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
279         $(nobase_libsciui_data_la_icons_DATA)
280 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
281 # Read a list of newline-separated strings from the standard input,
282 # and print each of them once, without duplicates.  Input order is
283 # *not* preserved.
284 am__uniquify_input = $(AWK) '\
285   BEGIN { nonempty = 0; } \
286   { items[$$0] = 1; nonempty = 1; } \
287   END { if (nonempty) { for (i in items) print i; }; } \
288 '
289 # Make sure the list of sources is unique.  This is necessary because,
290 # e.g., the same source file might be shared among _SOURCES variables
291 # for different programs/libraries.
292 am__define_uniq_tagged_files = \
293   list='$(am__tagged_files)'; \
294   unique=`for i in $$list; do \
295     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
296   done | $(am__uniquify_input)`
297 ETAGS = etags
298 CTAGS = ctags
299 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
300 ACLOCAL = @ACLOCAL@
301 ALL_LINGUAS = @ALL_LINGUAS@
302 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
303 AMTAR = @AMTAR@
304 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
305 ANT = @ANT@
306 ANTLR = @ANTLR@
307 AR = @AR@
308 ARPACK_LIBS = @ARPACK_LIBS@
309 ASM3 = @ASM3@
310 AUTOCONF = @AUTOCONF@
311 AUTOHEADER = @AUTOHEADER@
312 AUTOMAKE = @AUTOMAKE@
313 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
314 AWK = @AWK@
315 BATIK = @BATIK@
316 BLAS_CFLAGS = @BLAS_CFLAGS@
317 BLAS_LIBS = @BLAS_LIBS@
318 CC = @CC@
319 CCACHE = @CCACHE@
320 CCDEPMODE = @CCDEPMODE@
321 CFLAGS = @CFLAGS@
322 CHECKSTYLE = @CHECKSTYLE@
323 COBERTURA = @COBERTURA@
324 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
325 COMMONS_IO = @COMMONS_IO@
326 COMMONS_LOGGING = @COMMONS_LOGGING@
327 CPP = @CPP@
328 CPPFLAGS = @CPPFLAGS@
329 CURL_CFLAGS = @CURL_CFLAGS@
330 CURL_CONFIG = @CURL_CONFIG@
331 CURL_LIBS = @CURL_LIBS@
332 CURL_VERSION = @CURL_VERSION@
333 CXX = @CXX@
334 CXXCPP = @CXXCPP@
335 CXXDEPMODE = @CXXDEPMODE@
336 CXXFLAGS = @CXXFLAGS@
337 CYGPATH_W = @CYGPATH_W@
338 DEFS = @DEFS@
339 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
340 DEPDIR = @DEPDIR@
341 DLLTOOL = @DLLTOOL@
342 DOCBOOK_ROOT = @DOCBOOK_ROOT@
343 DOXYGEN_BIN = @DOXYGEN_BIN@
344 DSYMUTIL = @DSYMUTIL@
345 DUMPBIN = @DUMPBIN@
346 ECHO_C = @ECHO_C@
347 ECHO_N = @ECHO_N@
348 ECHO_T = @ECHO_T@
349 ECJ = @ECJ@
350 EGREP = @EGREP@
351 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
352 EXEEXT = @EXEEXT@
353 F77 = @F77@
354 FFLAGS = @FFLAGS@
355 FFTW3_LIB = @FFTW3_LIB@
356 FFTW_ENABLE = @FFTW_ENABLE@
357 FGREP = @FGREP@
358 FLEXDOCK = @FLEXDOCK@
359 FLIBS = @FLIBS@
360 FOP = @FOP@
361 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
362 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
363 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
364 FREEHEP_IO = @FREEHEP_IO@
365 FREEHEP_UTIL = @FREEHEP_UTIL@
366 GENHTML = @GENHTML@
367 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
368 GIWS_BIN = @GIWS_BIN@
369 GLUEGEN2_RT = @GLUEGEN2_RT@
370 GMSGFMT = @GMSGFMT@
371 GMSGFMT_015 = @GMSGFMT_015@
372 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
373 GREP = @GREP@
374 GUI_ENABLE = @GUI_ENABLE@
375 HAMCREST = @HAMCREST@
376 HAVE_CXX11 = @HAVE_CXX11@
377 HDF5_CFLAGS = @HDF5_CFLAGS@
378 HDF5_LIBS = @HDF5_LIBS@
379 HELP_ENABLE = @HELP_ENABLE@
380 INSTALL = @INSTALL@
381 INSTALL_DATA = @INSTALL_DATA@
382 INSTALL_PROGRAM = @INSTALL_PROGRAM@
383 INSTALL_SCRIPT = @INSTALL_SCRIPT@
384 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
385 INTLLIBS = @INTLLIBS@
386 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
387 JAR = @JAR@
388 JAVA = @JAVA@
389 JAVAC = @JAVAC@
390 JAVAC_DEBUG = @JAVAC_DEBUG@
391 JAVADOC = @JAVADOC@
392 JAVAH = @JAVAH@
393 JAVASCI_ENABLE = @JAVASCI_ENABLE@
394 JAVA_ENABLE = @JAVA_ENABLE@
395 JAVA_G = @JAVA_G@
396 JAVA_HOME = @JAVA_HOME@
397 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
398 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
399 JDB = @JDB@
400 JEUCLID_CORE = @JEUCLID_CORE@
401 JGRAPHX = @JGRAPHX@
402 JHALL = @JHALL@
403 JLATEXMATH = @JLATEXMATH@
404 JLATEXMATH_FOP = @JLATEXMATH_FOP@
405 JOGL2 = @JOGL2@
406 JROSETTA_API = @JROSETTA_API@
407 JROSETTA_ENGINE = @JROSETTA_ENGINE@
408 JUNIT4 = @JUNIT4@
409 LAPACK_LIBS = @LAPACK_LIBS@
410 LCOV = @LCOV@
411 LD = @LD@
412 LDFLAGS = @LDFLAGS@
413 LEX = @LEX@
414 LEXLIB = @LEXLIB@
415 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
416 LIBICONV = @LIBICONV@
417 LIBINTL = @LIBINTL@
418 LIBM = @LIBM@
419 LIBOBJS = @LIBOBJS@
420 LIBS = @LIBS@
421 LIBTOOL = @LIBTOOL@
422 LIPO = @LIPO@
423 LN_S = @LN_S@
424 LOGGING_LEVEL = @LOGGING_LEVEL@
425 LOOKS = @LOOKS@
426 LTLIBICONV = @LTLIBICONV@
427 LTLIBINTL = @LTLIBINTL@
428 LTLIBOBJS = @LTLIBOBJS@
429 LUCENE = @LUCENE@
430 LUCENE_ANALYZER = @LUCENE_ANALYZER@
431 LUCENE_PARSER = @LUCENE_PARSER@
432 MAINT = @MAINT@
433 MAKEINFO = @MAKEINFO@
434 MANIFEST_TOOL = @MANIFEST_TOOL@
435 MATIO_CFLAGS = @MATIO_CFLAGS@
436 MATIO_ENABLE = @MATIO_ENABLE@
437 MATIO_LIBS = @MATIO_LIBS@
438 MKDIR_P = @MKDIR_P@
439 MPI_ENABLE = @MPI_ENABLE@
440 MSGCAT = @MSGCAT@
441 MSGFMT = @MSGFMT@
442 MSGFMT_015 = @MSGFMT_015@
443 MSGMERGE = @MSGMERGE@
444 NM = @NM@
445 NMEDIT = @NMEDIT@
446 OBJDUMP = @OBJDUMP@
447 OBJEXT = @OBJEXT@
448 OCAMLC = @OCAMLC@
449 OCAMLDEP = @OCAMLDEP@
450 OCAMLLEX = @OCAMLLEX@
451 OCAMLOPT = @OCAMLOPT@
452 OCAMLYACC = @OCAMLYACC@
453 OPENMPI_CC = @OPENMPI_CC@
454 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
455 OPENMPI_CXX = @OPENMPI_CXX@
456 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
457 OPENMPI_LIBS = @OPENMPI_LIBS@
458 OPENMP_CFLAGS = @OPENMP_CFLAGS@
459 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
460 OPENMP_ENABLE = @OPENMP_ENABLE@
461 OPENMP_LIBS = @OPENMP_LIBS@
462 OTOOL = @OTOOL@
463 OTOOL64 = @OTOOL64@
464 PACKAGE = @PACKAGE@
465 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
466 PACKAGE_NAME = @PACKAGE_NAME@
467 PACKAGE_STRING = @PACKAGE_STRING@
468 PACKAGE_TARNAME = @PACKAGE_TARNAME@
469 PACKAGE_URL = @PACKAGE_URL@
470 PACKAGE_VERSION = @PACKAGE_VERSION@
471 PATH_SEPARATOR = @PATH_SEPARATOR@
472 PCRE_CFLAGS = @PCRE_CFLAGS@
473 PCRE_CONFIG = @PCRE_CONFIG@
474 PCRE_LIBS = @PCRE_LIBS@
475 PCRE_VERSION = @PCRE_VERSION@
476 PKG_CONFIG = @PKG_CONFIG@
477 POSUB = @POSUB@
478 POW_LIB = @POW_LIB@
479 PYTHON = @PYTHON@
480 RANLIB = @RANLIB@
481 RELOCATABLE = @RELOCATABLE@
482 RT_LIB = @RT_LIB@
483 SAXON = @SAXON@
484 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
485 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
486 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
487 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
488 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
489 SCIRENDERER = @SCIRENDERER@
490 SCIRENDERER_CP = @SCIRENDERER_CP@
491 SCI_CFLAGS = @SCI_CFLAGS@
492 SCI_CXXFLAGS = @SCI_CXXFLAGS@
493 SCI_FFLAGS = @SCI_FFLAGS@
494 SCI_LDFLAGS = @SCI_LDFLAGS@
495 SED = @SED@
496 SET_MAKE = @SET_MAKE@
497 SET_RELOCATABLE = @SET_RELOCATABLE@
498 SHELL = @SHELL@
499 SKINLF = @SKINLF@
500 SPLINT = @SPLINT@
501 STRIP = @STRIP@
502 SWIG_BIN = @SWIG_BIN@
503 SWIG_JAVA = @SWIG_JAVA@
504 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
505 SWIG_SCILAB = @SWIG_SCILAB@
506 TCLTK_LIBS = @TCLTK_LIBS@
507 TCL_INC_PATH = @TCL_INC_PATH@
508 TK_INC_PATH = @TK_INC_PATH@
509 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
510 UMFPACK_ENABLE = @UMFPACK_ENABLE@
511 UMFPACK_LIB = @UMFPACK_LIB@
512 USE_NLS = @USE_NLS@
513 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
514 VALGRIND_LIBS = @VALGRIND_LIBS@
515 VERSION = @VERSION@
516 WITH_OCAML = @WITH_OCAML@
517 WITH_TKSCI = @WITH_TKSCI@
518 XCOS_ENABLE = @XCOS_ENABLE@
519 XGETTEXT = @XGETTEXT@
520 XGETTEXT_015 = @XGETTEXT_015@
521 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
522 XMKMF = @XMKMF@
523 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
524 XML_APIS_EXT = @XML_APIS_EXT@
525 XML_CONFIG = @XML_CONFIG@
526 XML_FLAGS = @XML_FLAGS@
527 XML_LIBS = @XML_LIBS@
528 XML_VERSION = @XML_VERSION@
529 X_CFLAGS = @X_CFLAGS@
530 X_EXTRA_LIBS = @X_EXTRA_LIBS@
531 X_LIBS = @X_LIBS@
532 X_PRE_LIBS = @X_PRE_LIBS@
533 YACC = @YACC@
534 YFLAGS = @YFLAGS@
535 abs_builddir = @abs_builddir@
536 abs_srcdir = @abs_srcdir@
537 abs_top_builddir = @abs_top_builddir@
538 abs_top_srcdir = @abs_top_srcdir@
539 ac_ct_AR = @ac_ct_AR@
540 ac_ct_CC = @ac_ct_CC@
541 ac_ct_CXX = @ac_ct_CXX@
542 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
543 ac_ct_F77 = @ac_ct_F77@
544 am__include = @am__include@
545 am__leading_dot = @am__leading_dot@
546 am__quote = @am__quote@
547 am__tar = @am__tar@
548 am__untar = @am__untar@
549 bindir = @bindir@
550 build = @build@
551 build_alias = @build_alias@
552 build_cpu = @build_cpu@
553 build_os = @build_os@
554 build_vendor = @build_vendor@
555 builddir = @builddir@
556 cxx_present = @cxx_present@
557 datadir = @datadir@
558 datarootdir = @datarootdir@
559 docdir = @docdir@
560 dvidir = @dvidir@
561 exec_prefix = @exec_prefix@
562 host = @host@
563 host_alias = @host_alias@
564 host_cpu = @host_cpu@
565 host_os = @host_os@
566 host_vendor = @host_vendor@
567 htmldir = @htmldir@
568 includedir = @includedir@
569 infodir = @infodir@
570 install_sh = @install_sh@
571 libdir = @libdir@
572 libexecdir = @libexecdir@
573 localedir = @localedir@
574 localstatedir = @localstatedir@
575 mandir = @mandir@
576 mkdir_p = @mkdir_p@
577 oldincludedir = @oldincludedir@
578 pdfdir = @pdfdir@
579 prefix = @prefix@
580 program_transform_name = @program_transform_name@
581 psdir = @psdir@
582 sbindir = @sbindir@
583 sharedstatedir = @sharedstatedir@
584 srcdir = @srcdir@
585 sysconfdir = @sysconfdir@
586 target_alias = @target_alias@
587 top_build_prefix = @top_build_prefix@
588 top_builddir = @top_builddir@
589 top_srcdir = @top_srcdir@
590 yacc_present = @yacc_present@
591
592 #### Target ######
593 modulename = ui_data
594
595 #### ui_data : Conf files ####
596 libsciui_data_la_rootdir = $(mydatadir)
597 libsciui_data_la_root_DATA = license.txt
598
599 #### ui_data : init scripts ####
600 libsciui_data_la_etcdir = $(mydatadir)/etc
601 libsciui_data_la_etc_DATA = \
602         etc/ui_data.quit \
603         etc/ui_data.start \
604         etc/variablebrowser_menubar.xml \
605         etc/variableeditor_menubar.xml \
606         etc/XConfiguration-variables.xml \
607         etc/XConfiguration-variables.xsl
608
609 UI_DATA_JNI_SOURCES = \
610     src/jni/BrowseVar.cpp \
611     src/jni/EditVar.cpp \
612         src/jni/FileBrowser.cpp
613
614 UI_DATA_C_SOURCES = \
615     src/jni/ui_data_wrap.c \
616     src/c/PutScilabVariable.c
617
618 UI_DATA_CXX_SOURCES = \
619     src/cpp/BrowseVarManager.cpp \
620     src/cpp/FileBrowserChDir.cpp
621
622 GIWS_WRAPPERS = \
623     src/jni/BrowseVar.giws.xml \
624     src/jni/EditVar.giws.xml \
625     src/jni/FileBrowser.giws.xml
626
627 SWIG_WRAPPERS = \
628     src/jni/ui_data.i
629
630 BUILT_SOURCES = $(am__append_1) $(am__append_2)
631 GATEWAY_CXX_SOURCES = \
632     sci_gateway/cpp/sci_editvar.cpp \
633     sci_gateway/cpp/sci_browsevar.cpp \
634     sci_gateway/cpp/sci_filebrowser.cpp \
635     sci_gateway/cpp/sci_updatebrowsevar.cpp \
636     sci_gateway/cpp/sci_closeEditvar.cpp \
637     sci_gateway/cpp/ui_data_gw.cpp
638
639 libsciui_data_la_CPPFLAGS = \
640     $(JAVA_JNI_INCLUDE) \
641     -I$(srcdir)/includes/ \
642     -I$(srcdir)/src/cpp/ \
643     -I$(srcdir)/src/c/ \
644     -I$(srcdir)/src/jni/ \
645     -I$(top_srcdir)/modules/ast/includes/ast/ \
646     -I$(top_srcdir)/modules/ast/includes/exps/ \
647     -I$(top_srcdir)/modules/ast/includes/operations/ \
648     -I$(top_srcdir)/modules/ast/includes/parse/ \
649     -I$(top_srcdir)/modules/ast/includes/symbol/ \
650     -I$(top_srcdir)/modules/ast/includes/system_env/ \
651     -I$(top_srcdir)/modules/ast/includes/types/ \
652     -I$(top_srcdir)/modules/ast/includes/analysis/ \
653     -I$(top_srcdir)/modules/jvm/includes/ \
654     -I$(top_srcdir)/modules/output_stream/includes/ \
655     -I$(top_srcdir)/modules/commons/src/jni/ \
656     -I$(top_srcdir)/modules/localization/includes/ \
657     -I$(top_srcdir)/modules/api_scilab/includes/ \
658     -I$(top_srcdir)/modules/fileio/includes/ \
659     -I$(top_srcdir)/modules/string/includes/ \
660     -I$(top_srcdir)/modules/dynamic_link/includes/ \
661     -I$(top_srcdir)/modules/threads/includes/ \
662     -I$(top_srcdir)/modules/console/includes/ \
663     $(AM_CPPFLAGS)
664
665
666 # Without the ui_data module
667 libsciui_data_disable_la_CPPFLAGS = \
668     -I$(srcdir)/includes/ \
669     -I$(top_srcdir)/modules/ast/includes/ast/ \
670     -I$(top_srcdir)/modules/ast/includes/exps/ \
671     -I$(top_srcdir)/modules/ast/includes/operations/ \
672     -I$(top_srcdir)/modules/ast/includes/parse/ \
673     -I$(top_srcdir)/modules/ast/includes/symbol/ \
674     -I$(top_srcdir)/modules/ast/includes/system_env/ \
675     -I$(top_srcdir)/modules/ast/includes/types/ \
676     -I$(top_srcdir)/modules/ast/includes/analysis/ \
677     -I$(top_srcdir)/modules/localization/includes/ \
678     -I$(top_srcdir)/modules/output_stream/includes \
679     $(AM_CPPFLAGS)
680
681 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
682 UI_DATA_DISABLE_CXX_SOURCES = src/noui_data/noui_data_gw.cpp
683 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES) $(UI_DATA_DISABLE_CXX_SOURCES)
684 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
685 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la
686 libsciui_data_la_LDFLAGS = $(AM_LDFLAGS)
687 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
688 libsciui_data_la_SOURCES = $(GATEWAY_CXX_SOURCES)
689 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
690
691 # For the code check (splint)
692 CHECK_SRC = $(UI_DATA_C_SOURCES)
693 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
694 libsciui_data_la_LIBADD = libsciui_data-algo.la $(X_LIBS) $(X_EXTRA_LIBS)
695
696 #### ui_data : gateway declaration ####
697 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
698
699 #### ui_data : icons files ####
700 #
701 # Generated with:
702 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
703 libsciui_data_la_iconsdir = $(mydatadir)/
704 nobase_libsciui_data_la_icons_DATA = \
705 images/icons/16x16/mimetypes/array_up.png \
706 images/icons/16x16/mimetypes/boolean.png \
707 images/icons/16x16/mimetypes/cell.png \
708 images/icons/16x16/mimetypes/double.png \
709 images/icons/16x16/mimetypes/fptr.png \
710 images/icons/16x16/mimetypes/function.png \
711 images/icons/16x16/mimetypes/handle.png \
712 images/icons/16x16/mimetypes/int.png \
713 images/icons/16x16/mimetypes/list.png \
714 images/icons/16x16/mimetypes/mlist.png \
715 images/icons/16x16/mimetypes/noicon.png \
716 images/icons/16x16/mimetypes/object.png \
717 images/icons/16x16/mimetypes/polynomial.png \
718 images/icons/16x16/mimetypes/sparse.png \
719 images/icons/16x16/mimetypes/string.png \
720 images/icons/16x16/mimetypes/timeseries.png \
721 images/icons/16x16/mimetypes/tlist.png \
722 images/icons/16x16/mimetypes/uint.png \
723 images/icons/16x16/mimetypes/user.png
724
725 @GUI_TRUE@USEANT = 1
726
727 # Where all the Scilab stuff is installed (macros, help, ...)
728 mydatadir = $(pkgdatadir)/modules/$(modulename)
729
730 # Set AM_* SCI detected settings
731 AM_CPPFLAGS = $(SCI_CPPFLAGS)
732 AM_CFLAGS = $(SCI_CFLAGS)
733 AM_CXXFLAGS = $(SCI_CXXFLAGS)
734 # append includes to AM_FFLAGS to manage fortran includes
735 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
736
737 # Tag shared libraries with the Scilab version
738 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
739
740 # splint options
741 SPLINT_OPTIONS = -weak -booltype BOOL
742
743 ########################### JAVA ######################################
744 #### We are delegating java compilation to ant... Thanks to that
745 #### the procedure will be the same with Microsoft Windows (C)
746 #### and Linux/Unix
747 #######################################################################
748 TARGETS_ALL = $(am__append_4)
749
750 ################ MACROS ######################
751 # Rule to build a macro
752 # NOT USED  AT THE MOMENT
753 SUFFIXES = .sci 
754
755 ########### INSTALL DOCUMENTATION ###################
756
757 # Install documentation files into the right target
758 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
759 # automake needs the html files to be present which is not the case when
760 # we are building Scilab
761
762 # Where it should be installed
763 pkgdocdir = $(mydatadir)
764
765 # What is the mask of the help source
766 DOCMASKXML = *.xml
767
768 # What is the mask of the MathML sources
769 DOCMASKMML = *.mml
770
771 ########### INSTALL DATA ###################
772 # Install macros, help & demos
773 # Where it should be installed
774 pkgmacrosdir = $(mydatadir)
775 # Which directory we process
776 MACRODIRS = macros/
777 # Mask of the Scilab sources macros
778 MACROMASK = *.sci
779 # Mask of the Scilab executable sources macros
780 MACROBUILDMASK = *.sce
781 # Mask of the Scilab compiled macros
782 MACROBINMASK = *.bin
783 # List of the standard directory for tests
784 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
785 # Where the demos should be installed
786 pkgdemosdir = $(mydatadir)
787 # List of the standard directory for demos
788 DEMOS_DIR = demos
789 # List of the standard directory for examples
790 EXAMPLES_DIR = examples
791 # Where to export JAVA archives (.jar)
792 JARDIR = jar/
793 # JAR files mask
794 JARMASK = *.jar
795 # Chapter file 
796 HELP_CHAPTERDIR = help/
797 HELP_CHAPTERFILE = addchapter.sce
798 HELP_CHAPTERLANG = en_US fr_FR pt_BR
799 all: $(BUILT_SOURCES)
800         $(MAKE) $(AM_MAKEFLAGS) all-am
801
802 .SUFFIXES:
803 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
804 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
805         @for dep in $?; do \
806           case '$(am__configure_deps)' in \
807             *$$dep*) \
808               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
809                 && { if test -f $@; then exit 0; else break; fi; }; \
810               exit 1;; \
811           esac; \
812         done; \
813         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
814         $(am__cd) $(top_srcdir) && \
815           $(AUTOMAKE) --foreign modules/ui_data/Makefile
816 .PRECIOUS: Makefile
817 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
818         @case '$?' in \
819           *config.status*) \
820             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
821           *) \
822             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
823             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
824         esac;
825 $(top_srcdir)/Makefile.incl.am:
826
827 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
828         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
829
830 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
831         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
832 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
833         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
834 $(am__aclocal_m4_deps):
835
836 clean-noinstLTLIBRARIES:
837         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
838         @list='$(noinst_LTLIBRARIES)'; \
839         locs=`for p in $$list; do echo $$p; done | \
840               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
841               sort -u`; \
842         test -z "$$locs" || { \
843           echo rm -f $${locs}; \
844           rm -f $${locs}; \
845         }
846
847 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
848         @$(NORMAL_INSTALL)
849         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
850         list2=; for p in $$list; do \
851           if test -f $$p; then \
852             list2="$$list2 $$p"; \
853           else :; fi; \
854         done; \
855         test -z "$$list2" || { \
856           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
857           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
858           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
859           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
860         }
861
862 uninstall-pkglibLTLIBRARIES:
863         @$(NORMAL_UNINSTALL)
864         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
865         for p in $$list; do \
866           $(am__strip_dir) \
867           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
868           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
869         done
870
871 clean-pkglibLTLIBRARIES:
872         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
873         @list='$(pkglib_LTLIBRARIES)'; \
874         locs=`for p in $$list; do echo $$p; done | \
875               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
876               sort -u`; \
877         test -z "$$locs" || { \
878           echo rm -f $${locs}; \
879           rm -f $${locs}; \
880         }
881 src/jni/$(am__dirstamp):
882         @$(MKDIR_P) src/jni
883         @: > src/jni/$(am__dirstamp)
884 src/jni/$(DEPDIR)/$(am__dirstamp):
885         @$(MKDIR_P) src/jni/$(DEPDIR)
886         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
887 src/jni/libsciui_data_algo_la-ui_data_wrap.lo:  \
888         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
889 src/c/$(am__dirstamp):
890         @$(MKDIR_P) src/c
891         @: > src/c/$(am__dirstamp)
892 src/c/$(DEPDIR)/$(am__dirstamp):
893         @$(MKDIR_P) src/c/$(DEPDIR)
894         @: > src/c/$(DEPDIR)/$(am__dirstamp)
895 src/c/libsciui_data_algo_la-PutScilabVariable.lo:  \
896         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
897 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/$(am__dirstamp) \
898         src/jni/$(DEPDIR)/$(am__dirstamp)
899 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/$(am__dirstamp) \
900         src/jni/$(DEPDIR)/$(am__dirstamp)
901 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/$(am__dirstamp) \
902         src/jni/$(DEPDIR)/$(am__dirstamp)
903 src/cpp/$(am__dirstamp):
904         @$(MKDIR_P) src/cpp
905         @: > src/cpp/$(am__dirstamp)
906 src/cpp/$(DEPDIR)/$(am__dirstamp):
907         @$(MKDIR_P) src/cpp/$(DEPDIR)
908         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
909 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo:  \
910         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
911 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo:  \
912         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
913
914 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
915         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
916 src/noui_data/$(am__dirstamp):
917         @$(MKDIR_P) src/noui_data
918         @: > src/noui_data/$(am__dirstamp)
919 src/noui_data/$(DEPDIR)/$(am__dirstamp):
920         @$(MKDIR_P) src/noui_data/$(DEPDIR)
921         @: > src/noui_data/$(DEPDIR)/$(am__dirstamp)
922 src/noui_data/libsciui_data_disable_la-noui_data.lo:  \
923         src/noui_data/$(am__dirstamp) \
924         src/noui_data/$(DEPDIR)/$(am__dirstamp)
925 src/noui_data/libsciui_data_disable_la-noui_data_gw.lo:  \
926         src/noui_data/$(am__dirstamp) \
927         src/noui_data/$(DEPDIR)/$(am__dirstamp)
928
929 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
930         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
931 sci_gateway/cpp/$(am__dirstamp):
932         @$(MKDIR_P) sci_gateway/cpp
933         @: > sci_gateway/cpp/$(am__dirstamp)
934 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
935         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
936         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
937 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo:  \
938         sci_gateway/cpp/$(am__dirstamp) \
939         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
940 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo:  \
941         sci_gateway/cpp/$(am__dirstamp) \
942         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
943 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo:  \
944         sci_gateway/cpp/$(am__dirstamp) \
945         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
946 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo:  \
947         sci_gateway/cpp/$(am__dirstamp) \
948         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
949 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo:  \
950         sci_gateway/cpp/$(am__dirstamp) \
951         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
952 sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo:  \
953         sci_gateway/cpp/$(am__dirstamp) \
954         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
955
956 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
957         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
958
959 mostlyclean-compile:
960         -rm -f *.$(OBJEXT)
961         -rm -f sci_gateway/cpp/*.$(OBJEXT)
962         -rm -f sci_gateway/cpp/*.lo
963         -rm -f src/c/*.$(OBJEXT)
964         -rm -f src/c/*.lo
965         -rm -f src/cpp/*.$(OBJEXT)
966         -rm -f src/cpp/*.lo
967         -rm -f src/jni/*.$(OBJEXT)
968         -rm -f src/jni/*.lo
969         -rm -f src/noui_data/*.$(OBJEXT)
970         -rm -f src/noui_data/*.lo
971
972 distclean-compile:
973         -rm -f *.tab.c
974
975 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
976 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@
977 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
978 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
979 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
980 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Plo@am__quote@
981 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
982 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@
983 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
984 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
985 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
986 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
987 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
988 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
989 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Plo@am__quote@
990
991 .c.o:
992 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
993 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
994 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
995 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
996 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
997 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
998
999 .c.obj:
1000 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1001 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1002 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1003 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1004 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1005 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1006
1007 .c.lo:
1008 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1009 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1010 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1011 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1012 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1013 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1014
1015 src/jni/libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
1016 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1017 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
1018 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='src/jni/libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1019 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1020 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1021
1022 src/c/libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
1023 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1024 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
1025 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='src/c/libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
1026 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1027 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1028
1029 src/noui_data/libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
1030 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1031 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
1032 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='src/noui_data/libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
1033 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1034 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1035
1036 .cpp.o:
1037 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1038 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1039 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1040 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1041 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1042 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1043
1044 .cpp.obj:
1045 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1046 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1047 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1048 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1049 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1050 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1051
1052 .cpp.lo:
1053 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1054 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1055 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1056 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1057 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1058 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1059
1060 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
1061 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1062 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
1063 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='src/jni/libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
1064 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1065 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1066
1067 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
1068 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-EditVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1069 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
1070 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='src/jni/libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
1071 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1072 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1073
1074 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
1075 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1076 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
1077 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='src/jni/libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
1078 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1079 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1080
1081 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
1082 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1083 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
1084 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='src/cpp/libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
1085 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1086 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1087
1088 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
1089 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1090 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
1091 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
1092 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1093 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1094
1095 src/noui_data/libsciui_data_disable_la-noui_data_gw.lo: src/noui_data/noui_data_gw.cpp
1096 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data_gw.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data_gw.lo `test -f 'src/noui_data/noui_data_gw.cpp' || echo '$(srcdir)/'`src/noui_data/noui_data_gw.cpp
1097 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Plo
1098 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/noui_data/noui_data_gw.cpp' object='src/noui_data/libsciui_data_disable_la-noui_data_gw.lo' libtool=yes @AMDEPBACKSLASH@
1099 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1100 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data_gw.lo `test -f 'src/noui_data/noui_data_gw.cpp' || echo '$(srcdir)/'`src/noui_data/noui_data_gw.cpp
1101
1102 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
1103 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_editvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1104 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo
1105 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
1106 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1107 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1108
1109 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
1110 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1111 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
1112 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
1113 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1114 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1115
1116 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
1117 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1118 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
1119 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
1120 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1121 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1122
1123 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
1124 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1125 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
1126 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
1127 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1128 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1129
1130 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
1131 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1132 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
1133 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
1134 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1135 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1136
1137 sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo: sci_gateway/cpp/ui_data_gw.cpp
1138 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Tpo -c -o sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo `test -f 'sci_gateway/cpp/ui_data_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/ui_data_gw.cpp
1139 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Plo
1140 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/ui_data_gw.cpp' object='sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo' libtool=yes @AMDEPBACKSLASH@
1141 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1142 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo `test -f 'sci_gateway/cpp/ui_data_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/ui_data_gw.cpp
1143
1144 mostlyclean-libtool:
1145         -rm -f *.lo
1146
1147 clean-libtool:
1148         -rm -rf .libs _libs
1149         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1150         -rm -rf src/c/.libs src/c/_libs
1151         -rm -rf src/cpp/.libs src/cpp/_libs
1152         -rm -rf src/jni/.libs src/jni/_libs
1153         -rm -rf src/noui_data/.libs src/noui_data/_libs
1154 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1155         @$(NORMAL_INSTALL)
1156         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1157         if test -n "$$list"; then \
1158           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1159           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1160         fi; \
1161         for p in $$list; do \
1162           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1163           echo "$$d$$p"; \
1164         done | $(am__base_list) | \
1165         while read files; do \
1166           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1167           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1168         done
1169
1170 uninstall-libsciui_data_la_etcDATA:
1171         @$(NORMAL_UNINSTALL)
1172         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1173         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1174         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1175 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1176         @$(NORMAL_INSTALL)
1177         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1178         if test -n "$$list"; then \
1179           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1180           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1181         fi; \
1182         for p in $$list; do \
1183           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1184           echo "$$d$$p"; \
1185         done | $(am__base_list) | \
1186         while read files; do \
1187           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1188           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1189         done
1190
1191 uninstall-libsciui_data_la_rootDATA:
1192         @$(NORMAL_UNINSTALL)
1193         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1194         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1195         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1196 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1197         @$(NORMAL_INSTALL)
1198         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1199         if test -n "$$list"; then \
1200           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1201           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1202         fi; \
1203         $(am__nobase_list) | while read dir files; do \
1204           xfiles=; for file in $$files; do \
1205             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1206             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1207           test -z "$$xfiles" || { \
1208             test "x$$dir" = x. || { \
1209               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1210               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1211             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1212             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1213         done
1214
1215 uninstall-nobase_libsciui_data_la_iconsDATA:
1216         @$(NORMAL_UNINSTALL)
1217         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1218         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1219         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1220
1221 ID: $(am__tagged_files)
1222         $(am__define_uniq_tagged_files); mkid -fID $$unique
1223 tags: tags-am
1224 TAGS: tags
1225
1226 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1227         set x; \
1228         here=`pwd`; \
1229         $(am__define_uniq_tagged_files); \
1230         shift; \
1231         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1232           test -n "$$unique" || unique=$$empty_fix; \
1233           if test $$# -gt 0; then \
1234             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1235               "$$@" $$unique; \
1236           else \
1237             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1238               $$unique; \
1239           fi; \
1240         fi
1241 ctags: ctags-am
1242
1243 CTAGS: ctags
1244 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1245         $(am__define_uniq_tagged_files); \
1246         test -z "$(CTAGS_ARGS)$$unique" \
1247           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1248              $$unique
1249
1250 GTAGS:
1251         here=`$(am__cd) $(top_builddir) && pwd` \
1252           && $(am__cd) $(top_srcdir) \
1253           && gtags -i $(GTAGS_ARGS) "$$here"
1254 cscopelist: cscopelist-am
1255
1256 cscopelist-am: $(am__tagged_files)
1257         list='$(am__tagged_files)'; \
1258         case "$(srcdir)" in \
1259           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1260           *) sdir=$(subdir)/$(srcdir) ;; \
1261         esac; \
1262         for i in $$list; do \
1263           if test -f "$$i"; then \
1264             echo "$(subdir)/$$i"; \
1265           else \
1266             echo "$$sdir/$$i"; \
1267           fi; \
1268         done >> $(top_builddir)/cscope.files
1269
1270 distclean-tags:
1271         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1272
1273 distdir: $(DISTFILES)
1274         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1275         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1276         list='$(DISTFILES)'; \
1277           dist_files=`for file in $$list; do echo $$file; done | \
1278           sed -e "s|^$$srcdirstrip/||;t" \
1279               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1280         case $$dist_files in \
1281           */*) $(MKDIR_P) `echo "$$dist_files" | \
1282                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1283                            sort -u` ;; \
1284         esac; \
1285         for file in $$dist_files; do \
1286           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1287           if test -d $$d/$$file; then \
1288             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1289             if test -d "$(distdir)/$$file"; then \
1290               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1291             fi; \
1292             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1293               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1294               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1295             fi; \
1296             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1297           else \
1298             test -f "$(distdir)/$$file" \
1299             || cp -p $$d/$$file "$(distdir)/$$file" \
1300             || exit 1; \
1301           fi; \
1302         done
1303 check-am: all-am
1304         $(MAKE) $(AM_MAKEFLAGS) check-local
1305 check: $(BUILT_SOURCES)
1306         $(MAKE) $(AM_MAKEFLAGS) check-am
1307 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1308 installdirs:
1309         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1310           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1311         done
1312 install: $(BUILT_SOURCES)
1313         $(MAKE) $(AM_MAKEFLAGS) install-am
1314 install-exec: install-exec-am
1315 install-data: install-data-am
1316 uninstall: uninstall-am
1317
1318 install-am: all-am
1319         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1320
1321 installcheck: installcheck-am
1322 install-strip:
1323         if test -z '$(STRIP)'; then \
1324           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1325             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1326               install; \
1327         else \
1328           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1329             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1330             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1331         fi
1332 mostlyclean-generic:
1333
1334 clean-generic:
1335
1336 distclean-generic:
1337         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1338         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1339         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1340         -rm -f sci_gateway/cpp/$(am__dirstamp)
1341         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1342         -rm -f src/c/$(am__dirstamp)
1343         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1344         -rm -f src/cpp/$(am__dirstamp)
1345         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1346         -rm -f src/jni/$(am__dirstamp)
1347         -rm -f src/noui_data/$(DEPDIR)/$(am__dirstamp)
1348         -rm -f src/noui_data/$(am__dirstamp)
1349
1350 maintainer-clean-generic:
1351         @echo "This command is intended for maintainers to use"
1352         @echo "it deletes files that may require special tools to rebuild."
1353         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1354 clean: clean-am
1355
1356 clean-am: clean-generic clean-libtool clean-local \
1357         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1358
1359 distclean: distclean-am
1360         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1361         -rm -f Makefile
1362 distclean-am: clean-am distclean-compile distclean-generic \
1363         distclean-local distclean-tags
1364
1365 dvi: dvi-am
1366
1367 dvi-am:
1368
1369 html: html-am
1370
1371 html-am:
1372
1373 info: info-am
1374
1375 info-am:
1376
1377 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1378         install-libsciui_data_la_rootDATA \
1379         install-nobase_libsciui_data_la_iconsDATA
1380
1381 install-dvi: install-dvi-am
1382
1383 install-dvi-am:
1384
1385 install-exec-am: install-pkglibLTLIBRARIES
1386
1387 install-html: install-html-am
1388
1389 install-html-am: install-html-local
1390
1391 install-info: install-info-am
1392
1393 install-info-am:
1394
1395 install-man:
1396
1397 install-pdf: install-pdf-am
1398
1399 install-pdf-am:
1400
1401 install-ps: install-ps-am
1402
1403 install-ps-am:
1404
1405 installcheck-am:
1406
1407 maintainer-clean: maintainer-clean-am
1408         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1409         -rm -f Makefile
1410 maintainer-clean-am: distclean-am maintainer-clean-generic
1411
1412 mostlyclean: mostlyclean-am
1413
1414 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1415         mostlyclean-libtool
1416
1417 pdf: pdf-am
1418
1419 pdf-am:
1420
1421 ps: ps-am
1422
1423 ps-am:
1424
1425 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1426         uninstall-libsciui_data_la_rootDATA \
1427         uninstall-nobase_libsciui_data_la_iconsDATA \
1428         uninstall-pkglibLTLIBRARIES
1429
1430 .MAKE: all check check-am install install-am install-strip
1431
1432 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1433         check-local clean clean-generic clean-libtool clean-local \
1434         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1435         ctags ctags-am distclean distclean-compile distclean-generic \
1436         distclean-libtool distclean-local distclean-tags distdir dvi \
1437         dvi-am html html-am info info-am install install-am \
1438         install-data install-data-am install-data-local install-dvi \
1439         install-dvi-am install-exec install-exec-am install-html \
1440         install-html-am install-html-local install-info \
1441         install-info-am install-libsciui_data_la_etcDATA \
1442         install-libsciui_data_la_rootDATA install-man \
1443         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1444         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1445         install-ps-am install-strip installcheck installcheck-am \
1446         installdirs maintainer-clean maintainer-clean-generic \
1447         mostlyclean mostlyclean-compile mostlyclean-generic \
1448         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1449         uninstall-am uninstall-libsciui_data_la_etcDATA \
1450         uninstall-libsciui_data_la_rootDATA \
1451         uninstall-nobase_libsciui_data_la_iconsDATA \
1452         uninstall-pkglibLTLIBRARIES
1453
1454
1455 # This target enables tests for Scilab
1456 check-local: $(top_builddir)/scilab-bin test
1457         if test -d $(mydatadir)/tests; then \
1458           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1459         fi
1460 check-code:
1461         if test -f build.xml; then \
1462                 $(ANT) checkstyle; \
1463         fi
1464         if test -x "$(SPLINT)"; then \
1465                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1466         fi
1467 @NEED_JAVA_TRUE@java:
1468 # Some configurations needs to export JAVA_HOME in the current env
1469 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1470 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1471 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1472 @NEED_JAVA_TRUE@                $(ANT); \
1473 @NEED_JAVA_TRUE@        fi
1474
1475 @NEED_JAVA_TRUE@clean-java:
1476 # Some configurations needs to export JAVA_HOME in the current env
1477 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1478 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1479 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1480 @NEED_JAVA_TRUE@                $(ANT) clean; \
1481 @NEED_JAVA_TRUE@        fi;
1482
1483 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1484 # We call the target swig-build on the variable SWIG_WRAPPERS
1485
1486 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1487 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1488 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1489 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1490 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1491 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1492 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1493 @SWIG_TRUE@             done; \
1494 @SWIG_TRUE@     fi
1495
1496 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1497 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1498 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1499 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1500 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1501 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1502 @SWIG_TRUE@             done; \
1503 @SWIG_TRUE@     fi
1504
1505 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1506 # We call the target swig-build on the variable SWIG_WRAPPERS
1507
1508 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1509 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1510 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1511 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1512 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1513 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1514 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1515 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1516 @GIWS_TRUE@                     else \
1517 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1518 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1519 @GIWS_TRUE@                     fi \
1520 @GIWS_TRUE@             done; \
1521 @GIWS_TRUE@     fi
1522
1523 @GIWS_TRUE@giws-exception:
1524 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1525 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1526 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1527
1528 macros:
1529         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1530                 echo "Error : Cannot build $< : Scilab has not been built"; \
1531         else \
1532                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1533         fi)
1534
1535 # Removes the macros
1536 clean-macros:
1537 # Removes macros (*.bin generated from .sci)
1538         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1539                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1540                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1541         done
1542
1543 test:
1544 # More tests could be added here
1545         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1546         if test -f build.xml -a $$USEANT -eq 1; then \
1547                 $(ANT) test; \
1548         fi
1549
1550 all-local: $(TARGETS_ALL)
1551
1552 .sci.bin:
1553         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1554         echo "Error : Cannot build $< : Scilab has not been build"; \
1555         else \
1556         echo "Creating $@"; \
1557         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1558         fi )
1559
1560 install-html-local:
1561
1562 install-data-local-local:
1563 # Mainly for javasci
1564         @if test -d $(srcdir)/javadoc; then \
1565                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1566         fi
1567 # If the user wants the help sources to be installed
1568 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1569 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1570 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1571 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1572 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1573 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1574 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1575 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1576 @INSTALL_HELP_XML_TRUE@           done ; \
1577 @INSTALL_HELP_XML_TRUE@         fi; \
1578 @INSTALL_HELP_XML_TRUE@  fi; \
1579 @INSTALL_HELP_XML_TRUE@ done; \
1580 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1581 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1582 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1583 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1584 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1585 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1586 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1587 @INSTALL_HELP_XML_TRUE@           done ; \
1588 @INSTALL_HELP_XML_TRUE@         fi; \
1589 @INSTALL_HELP_XML_TRUE@ fi
1590 install-data-local:
1591 # Install the tests
1592         @echo "-------- Install tests (if any) --------"; \
1593         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1594           if test -d $(srcdir)/$$dir/; then \
1595             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1596                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1597                     if test -d "$(srcdir)/$$dir/$$file"; then \
1598                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1599                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1600                     else \
1601                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1602                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1603                     fi \
1604                   done; \
1605           fi; \
1606         done
1607 # Install the help chapter
1608         @echo "-------- Install the help chapter (if any) --------"; \
1609         for lang in $(HELP_CHAPTERLANG); do \
1610                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1611                 if test -f $$HELPFILE; then \
1612                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1613                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1614                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1615                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1616                 fi; \
1617         done
1618 # Install the demos & examples
1619         @echo "-------- Install demos & examples (if any) --------"; \
1620         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1621           if test -d $(srcdir)/$$dir/; then \
1622             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1623                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1624                     if test -d "$(srcdir)/$$dir/$$file"; then \
1625                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1626                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1627                     else \
1628                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1629                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1630                     fi \
1631                   done; \
1632           fi; \
1633         done
1634 # Install the macros
1635         @echo "-------- Install macros (if any) --------"; \
1636         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1637           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1638                 if test -d $(srcdir)/$$dir/; then \
1639                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1640                         if test -n "$(MACROSSPECIALEXT)"; then \
1641                                 specialExtDir=""; \
1642                                 for specialExt in $(MACROSSPECIALEXT); do \
1643                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1644                                 done; \
1645                                 FILELIST="$$FILELIST $$specialExtDir"; \
1646                         fi; \
1647                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1648                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1649                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1650                   done; \
1651                 fi; \
1652         done
1653 # Install java files (.jar)
1654         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1655         echo "-------- Install jar files --------"; \
1656     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1657           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1658                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1659                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1660           done ; \
1661         fi
1662
1663 ########### CLEAN ###################
1664 # Clean help (generated automatically by Scilab)
1665 # It used to clean the macro (clean-macros) but this was causing
1666 # make clean && make to fail Scilab startup
1667 @NEED_JAVA_TRUE@clean-local: clean-java
1668 @NEED_JAVA_FALSE@clean-local:
1669
1670 distclean-local:
1671         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1672
1673 .PHONY: macros java swig giws
1674
1675 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1676 # Otherwise a system limit (for SysV at least) may be exceeded.
1677 .NOEXPORT: